ru.bitel.bgbilling.modules.cerbercrypt.common.service

## Interface SynclogService

-     public interface SynclogService

  Лог обмена с ТВ-серверами.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Result<SynclogEntry>` | `getSynclog(Period period, Page page, int cid, java.util.Set<java.lang.Long> filterNumbers, java.util.Set<java.lang.Integer> filterSuccess, boolean truncateText)` Возвращает записи для периода (опционально), постранично и с фильтром по договору (опционально).
    `SynclogEntry` | `getSynclogEntry(int id, java.util.Date date)` Возвращает отдельно одну запись (возможно, лишь для получения полного текста лога)

- - ### Method Detail

    - #### getSynclog

          Result<SynclogEntry> getSynclog(Period period,
                                          Page page,
                                          int cid,
                                          java.util.Set<java.lang.Long> filterNumbers,
                                          java.util.Set<java.lang.Integer> filterSuccess,
                                          boolean truncateText)
                                   throws ru.bitel.bgbilling.common.BGException

      Возвращает записи для периода (опционально), постранично и с фильтром по договору (опционально).
      Parameters:
        `period` - период для запроса
        `page` - страницы
        `cid` - фильтр по договору (соответственно, при поиске учитываются только те, у которых заполнено ucid, это далеко не все), может быть -1.
        `filterNumbers` - фильтр по номерам карт, сет целых.
        `filterSuccess` - фильтр по успешности операции, сет целых (1-успешно,0-неуспешно)
        `truncateText` - обрезать ли слишком длинный текст камента
      Returns:
        Result с заполненным list и page
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getSynclogEntry

          SynclogEntry getSynclogEntry(int id,
                                       java.util.Date date)
                                throws ru.bitel.bgbilling.common.BGException

      Возвращает отдельно одну запись (возможно, лишь для получения полного текста лога)
      Parameters:
        `id` - ид записи лога
        `date` - дата записи (т.к. таблицы периодические)
      Returns:
        запись лога
      Throws:
        `ru.bitel.bgbilling.common.BGException`